package com.mortals.xhx.module.perform.model;

import java.util.List;
import com.mortals.xhx.module.perform.model.PerformAttendAppealFilesEntity;
/**
* 绩效记录申诉附件信息查询对象
*
* @author zxfei
* @date 2023-07-05
*/
public class PerformAttendAppealFilesQuery extends PerformAttendAppealFilesEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 申诉Id */
    private Long appealIdStart;

    /** 结束 申诉Id */
    private Long appealIdEnd;

    /** 增加 申诉Id */
    private Long appealIdIncrement;

    /** 申诉Id列表 */
    private List <Long> appealIdList;

    /** 申诉Id排除列表 */
    private List <Long> appealIdNotList;

    /** 文件名称 */
    private List<String> fileNameList;

    /** 文件名称排除列表 */
    private List <String> fileNameNotList;
    /** 文件地址 */
    private List<String> filePathList;

    /** 文件地址排除列表 */
    private List <String> filePathNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformAttendAppealFilesQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformAttendAppealFilesQuery> andConditionList;

    public PerformAttendAppealFilesQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 申诉Id
    * @return appealIdStart
    */
    public Long getAppealIdStart(){
        return this.appealIdStart;
    }

    /**
    * 设置 开始 申诉Id
    * @param appealIdStart
    */
    public void setAppealIdStart(Long appealIdStart){
        this.appealIdStart = appealIdStart;
    }

    /**
    * 获取 结束 申诉Id
    * @return $appealIdEnd
    */
    public Long getAppealIdEnd(){
        return this.appealIdEnd;
    }

    /**
    * 设置 结束 申诉Id
    * @param appealIdEnd
    */
    public void setAppealIdEnd(Long appealIdEnd){
        this.appealIdEnd = appealIdEnd;
    }

    /**
    * 获取 增加 申诉Id
    * @return appealIdIncrement
    */
    public Long getAppealIdIncrement(){
        return this.appealIdIncrement;
    }

    /**
    * 设置 增加 申诉Id
    * @param appealIdIncrement
    */
    public void setAppealIdIncrement(Long appealIdIncrement){
        this.appealIdIncrement = appealIdIncrement;
    }

    /**
    * 获取 申诉Id
    * @return appealIdList
    */
    public List<Long> getAppealIdList(){
        return this.appealIdList;
    }

    /**
    * 设置 申诉Id
    * @param appealIdList
    */
    public void setAppealIdList(List<Long> appealIdList){
        this.appealIdList = appealIdList;
    }

    /**
    * 获取 申诉Id
    * @return appealIdNotList
    */
    public List<Long> getAppealIdNotList(){
        return this.appealIdNotList;
    }

    /**
    * 设置 申诉Id
    * @param appealIdNotList
    */
    public void setAppealIdNotList(List<Long> appealIdNotList){
        this.appealIdNotList = appealIdNotList;
    }


    /**
    * 获取 文件名称
    * @return fileNameList
    */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
    * 设置 文件名称
    * @param fileNameList
    */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }

    /**
    * 获取 文件名称
    * @return fileNameNotList
    */
    public List<String> getFileNameNotList(){
        return this.fileNameNotList;
    }

    /**
    * 设置 文件名称
    * @param fileNameNotList
    */
    public void setFileNameNotList(List<String> fileNameNotList){
        this.fileNameNotList = fileNameNotList;
    }

    /**
    * 获取 文件地址
    * @return filePathList
    */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
    * 设置 文件地址
    * @param filePathList
    */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }

    /**
    * 获取 文件地址
    * @return filePathNotList
    */
    public List<String> getFilePathNotList(){
        return this.filePathNotList;
    }

    /**
    * 设置 文件地址
    * @param filePathNotList
    */
    public void setFilePathNotList(List<String> filePathNotList){
        this.filePathNotList = filePathNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PerformAttendAppealFilesQuery id(Long id){
	    setId(id);
		return this;
    }

	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PerformAttendAppealFilesQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PerformAttendAppealFilesQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PerformAttendAppealFilesQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PerformAttendAppealFilesQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public PerformAttendAppealFilesQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  申诉Id
    * @param appealId
    */
    public PerformAttendAppealFilesQuery appealId(Long appealId){
	    setAppealId(appealId);
		return this;
    }

	 /**
    * 设置 开始 申诉Id
    * @param appealIdStart
    */
    public PerformAttendAppealFilesQuery appealIdStart(Long appealIdStart){
		this.appealIdStart = appealIdStart;
		return this;
    }

    /**
    * 设置 结束 申诉Id
    * @param appealIdEnd
    */
    public PerformAttendAppealFilesQuery appealIdEnd(Long appealIdEnd){
		this.appealIdEnd = appealIdEnd;
		return this;
    }

    /**
    * 设置 增加 申诉Id
    * @param appealIdIncrement
    */
    public PerformAttendAppealFilesQuery appealIdIncrement(Long appealIdIncrement){
		this.appealIdIncrement = appealIdIncrement;
		return this;
    }

    /**
    * 设置 申诉Id
    * @param appealIdList
    */
    public PerformAttendAppealFilesQuery appealIdList(List<Long> appealIdList){
        this.appealIdList = appealIdList;
		return this;
        }

        /**
        * 设置 申诉Id
        * @param appealIdNotList
        */
        public PerformAttendAppealFilesQuery appealIdNotList(List<Long> appealIdNotList){
        this.appealIdNotList = appealIdNotList;
        return this;
        }


	/**
    * 设置 文件名称
    * @param fileName
    */
    public PerformAttendAppealFilesQuery fileName(String fileName){
        setFileName(fileName);
		return this;
    }

    /**
    * 设置 文件名称
    * @param fileNameList
    */
    public PerformAttendAppealFilesQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
		return this;
    }


	/**
    * 设置 文件地址
    * @param filePath
    */
    public PerformAttendAppealFilesQuery filePath(String filePath){
        setFilePath(filePath);
		return this;
    }

    /**
    * 设置 文件地址
    * @param filePathList
    */
    public PerformAttendAppealFilesQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PerformAttendAppealFilesQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }

	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PerformAttendAppealFilesQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PerformAttendAppealFilesQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PerformAttendAppealFilesQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PerformAttendAppealFilesQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PerformAttendAppealFilesQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PerformAttendAppealFilesQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }

	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PerformAttendAppealFilesQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PerformAttendAppealFilesQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PerformAttendAppealFilesQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PerformAttendAppealFilesQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PerformAttendAppealFilesQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PerformAttendAppealFilesQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PerformAttendAppealFilesQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PerformAttendAppealFilesQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PerformAttendAppealFilesQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}
